const Queue = require('better-queue');
const taskProcess = require('../utils/taskProcess.js');

const options = {
    id: 'id',
    maxRetries: 3,
    concurrent: 1 
    // @todo better-queue has batching and concurrency. might be useful to implement in the future 
    // @see https://github.com/diamondio/better-queue?tab=readme-ov-file#queue-management
}

let q = new Queue(taskProcess, options)


// Middleware function to attach db to request
const queueMiddleware = (req, res, next) => {
    req.queue = q;
    next();
};

module.exports = queueMiddleware