const ipfsAdd = require('./ipfsAdd.js')
const path = require('path');

describe('ipfs', function () {
    describe('ipfsAdd', function () {
        it('should add a file from disk to ipfs and return a {string} CID', async function () {
            const expectedCid = 'bafkreibxh3ly47pr3emvrqtax6ieq2ybom4ywyil3yurxnlwirtcvb5pfi'
            const file = path.join(__dirname, '..', 'fixtures', 'hello-worlds.txt')
            const cid = await ipfsAdd(file, { cidVersion: 1 })
            if (cid !== expectedCid) throw new Error(`expected ${cid} to match ${expectedCid}`)
        })
    })
})