const { init } = require('@paralleldrive/cuid2');

function generateCuid(event) {
    const { data } = event.params;
    if (!data.cuid) {
        const length = 10; // 50% odds of collision after ~51,386,368 ids
        const cuid = init({ length });
        event.params.data.cuid = cuid();
    }
}

module.exports = {
    async beforeUpdate(event) {
        generateCuid(event);
    },
    async beforeCreate(event) {
        console.log(`>> beforeCreate! We are generating a CUID`);
        console.log(`>> beforeCreate! We are generating a CUID`);
        generateCuid(event);
    },
    async afterCreate(event) {
        console.log(`>> afterCreate! We are generating a CUID`);
        generateCuid(event);
    }
}